Issue422

Title tracker: issues status as class for table row <tr>
Priority bug Status open
Assigned To Keywords
Linked issues Watchers

Submitted on 2011-07-31 08h57 by matthiaskrgr, last changed by salimiles.

Files
File name Uploaded Type Edit Remove
bugstatus.png matthiaskrgr, 2011-07-31.08:57:32 image/png
Messages
Author: matthiaskrgr Date: 2011-07-31   08h57
If we had the <tr> in the issue list reading the bug status as class <tr
class="resolved">, we could probably have rejected or resolved issues
differently coloured for easier recognition.

In the screenshot, you see the <td> table cell reading the status highlighted.
If classifying of <tr> isn't possible, I could try to make the  <td> differently
coloured if it is marked by a class.

Attached bugstatus.png.
Author: ahuillet Date: 2011-07-31   10h40
Done. Please get back to me if you're unhappy.
Author: matthiaskrgr Date: 2011-07-31   10h59
<tr>
  <th>
    <br>
    <br>
  </th>
  <form action="issue422" class="second_comment_box"
enctype="multipart/form-data" onsubmit="return submit_once()"
name="itemSynopsis" method="POST">
  </form>
</tr>


<tr>
  <td colspan="3">
    <textarea cols="80" rows="5" wrap="hard" name="@note">
    </textarea>
  </td>
</tr>



This doesn't look right. :-)
Author: ahuillet Date: 2011-07-31   11h51
I'm pretty sure this is unrelated to this ticket! Can you check your report?
Author: matthiaskrgr Date: 2011-08-04   13h48
Well, he problem is that there is nothing inside the <form></form>

So I can set padding or margin as I want, but in the end, there is nothing to
add a margin, padding to.
Author: hail Date: 2011-08-05   08h51
form {
  min-height: 1337px; /* or whatever */
}

give girth to an empty form
Author: matthiaskrgr Date: 2011-08-05   09h26
instead of 


	<tr></tr>
	<tr></tr>
	<th><br /><br /></th>
	<form method="POST" name="itemSynopsis"
       onsubmit="return submit_once()"
       enctype="multipart/form-data"
       class="second_comment_box" action="issue422">

	<tr>

	 <td colspan="3">
	  <textarea name="@note" wrap="hard" rows="5" cols="80"></textarea>
	 </td>
	</tr>
	<tr>
	 <td>
	  <input type="hidden" name="@template" value="item">
	 </td>

	 <td colspan="3">
	  <input type="hidden" name="@lastactivity" value="2011-08-04.13:49:10">
<input type="hidden" name="@action" value="edit">
<input type="submit" name="submit_button" value="Add Comment">




, something like


	<tr></tr>
	<tr></tr>
	<tr>

	 <td colspan="3">
	  <textarea class="second_comment_box" name="@note" wrap="hard" rows="5"
cols="80"></textarea>
	 </td>
	</tr>
	<tr>
	 <td>
	  <input type="hidden" name="@template" value="item">
	 </td>

	 <td colspan="3">
	  <input type="hidden" name="@lastactivity" value="2011-08-04.13:49:10">
<input type="hidden" name="@action" value="edit">
<input type="submit" name="submit_button" value="Add Comment">



may do it (I hope).
Author: ahuillet Date: 2011-08-05   10h03
Shouldn't there be a <form> somewhere?
Author: matthiaskrgr Date: 2011-08-06   09h57
I'm not sure if I necessarily need it.

With my proposal from above, I'd try

[...] tr td textarea[class="second_comment_box"] {
    padding: bla
    margin: bla
    bla bla
}
Author: ahuillet Date: 2011-09-11   09h12
I don't see how the comment box will work without a form input... ?!
Author: Robr3rd Date: 2011-10-27   09h42
If you submitted the form with some Javascript on the button then I supposed you 
wouldn't need the <form> (<input type="button" onclick="function_to_send()" />), 
but I don't see how else it would get submitted, and I can't imagine Javscript 
would really be preferable over a form?
Author: ahuillet Date: 2011-10-27   09h48
You're right, Javascript isn't preferable.
-- 
Greetings, 
A. Huillet
History
Date User Action Args
2011-11-15 21:09:55salimilessettitle: issues status as class for table row <tr> -> tracker: issues status as class for table row <tr>
2011-10-27 09:48:03ahuilletsetmessages: + msg1774
2011-10-27 09:42:27Robr3rdsetmessages: + msg1773
2011-09-11 09:12:51ahuilletsetmessages: + msg1634
2011-08-06 09:57:04matthiaskrgrsetmessages: + msg1530
2011-08-05 10:03:29ahuilletsetmessages: + msg1514
2011-08-05 09:26:09matthiaskrgrsetmessages: + msg1512
2011-08-05 08:51:32hailsetmessages: + msg1511
2011-08-04 13:49:10matthiaskrgrsetpriority: minor -> bug
2011-08-04 13:48:56matthiaskrgrsetmessages: + msg1481
2011-07-31 11:51:54ahuilletsetmessages: + msg1418
2011-07-31 10:59:44matthiaskrgrsetstatus: resolved -> open
2011-07-31 10:59:30matthiaskrgrsetmessages: + msg1414
2011-07-31 10:40:56ahuilletsetstatus: open -> resolved
messages: + msg1413
2011-07-31 08:57:32matthiaskrgrcreate